Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.ejbjar30
Interface RelationshipRoleSourceType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  RelationshipRoleSourceTypeImpl

    public interface RelationshipRoleSourceType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `relationship-role-sourceType` xsd type

Original Documentation:

The relationship-role-sourceType designates the source of a
role that participates in a relationship. A
relationship-role-sourceType is used by
relationship-role-source elements to uniquely identify an
entity bean.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.lang.String` | `getEjbName()` Returns the `ejb-name` element
`RelationshipRoleSourceType<T>` | `removeAllDescription()` Removes the `description` element
`RelationshipRoleSourceType<T>` | `removeEjbName()` Removes the `ejb-name` element
`RelationshipRoleSourceType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`RelationshipRoleSourceType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`RelationshipRoleSourceType<T>` | `setEjbName(java.lang.String ejbName)` If not already created, a new `ejb-name` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setDescription

    RelationshipRoleSourceType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `RelationshipRoleSourceType`

### setDescriptionList

    RelationshipRoleSourceType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `RelationshipRoleSourceType`

### removeAllDescription

    RelationshipRoleSourceType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `RelationshipRoleSourceType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setEjbName

    RelationshipRoleSourceType<T> setEjbName(java.lang.String ejbName)

  If not already created, a new `ejb-name` element with the given value will be created. Otherwise, the existing `ejb-name` element will be updated with the given value.

  Returns:
    the current instance of `RelationshipRoleSourceType`

### removeEjbName

    RelationshipRoleSourceType<T> removeEjbName()

  Removes the `ejb-name` element

  Returns:
    the current instance of `RelationshipRoleSourceType`

### getEjbName

    java.lang.String getEjbName()

  Returns the `ejb-name` element

  Returns:
    the node defined for the element `ejb-name`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD